#include <iostream>
#include <string>
using namespace std;
int main()
{
	string s,t,gr;
	cin>>t;
	cin>>s;
	int br=0,i,n=0,m=t.length(),j=0,k=0;
	while(n<m){
		for(i=0;i<m;i++){
			if(t==s){
				br=1;
				t[0]='*';
			}
			while(gr!=s){
				gr=t[j++];
				br++;
			}
			n++;
		}
	}
	t[br-1]='*';
	cout<<br-1<<endl;
	cout<<t;
}